Bug 1853555 - Review Request: ghc-HsOpenSSL - Partial OpenSSL binding for Haskell
Summary: Review Request: ghc-HsOpenSSL - Partial OpenSSL binding for Haskell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-03 05:20 UTC by Jens Petersen
Modified: 2020-11-22 01:21 UTC (History)
2 users (show)

Fixed In Version: ghc-HsOpenSSL-0.11.4.18-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-23 06:54:18 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-07-03 05:20:09 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/ghc-HsOpenSSL/ghc-HsOpenSSL.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/ghc-HsOpenSSL/ghc-HsOpenSSL-0.11.4.18-1.fc32.src.rpm

Description:
HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA and DSA keys,
read and write PEM files, generate message digests, sign and verify messages,
encrypt and decrypt messages. It has also some capabilities of creating SSL
clients and servers.

This package is in production use by a number of Haskell based systems and
stable. You may also be interested in the 'tls' package,
<http://hackage.haskell.org/package/tls>, which is a pure Haskell
implementation of SSL.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=46494922

Comment 1 Robert-André Mauchin 🐧 2020-07-04 09:25:00 UTC
 - You've added:

# DSA test failing for Fedora
# https://github.com/vshabanov/HsOpenSSL/issues/49
%bcond_with tests

but you're not using it in the %check part of the SPEC. The test seems to work.



Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Creative Commons CC0
     Universal 1.0 Public Domain Dedication". 55 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/ghc-HsOpenSSL/review-ghc-
     HsOpenSSL/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/ghc(ghc-Agda-
     doc, ghc-aeson-better-errors-doc, ghc-bitarray-doc, ghc-js-jquery-doc,
     ghc-EdisonCore-doc, ghc-filepattern-doc, ghc-compiler, ghc-time-
     manager-doc, ghc-EdisonAPI-doc, ghc-lukko-doc, ghc-cborg-doc, ghc-
     http2-doc, ghc-geniplate-mirror-doc, ghc-cborg-json-doc, ghc-murmur-
     hash-doc, ghc-parsers-doc, ghc-dns-doc, ghc-serialise-doc, ghc-uri-
     encode-doc, ghc-HsYAML-doc, ghc-unicode-transforms-doc, ghc-js-flot-
     doc), /usr/share/doc/ghc/html(ghc-Agda-doc, ghc-aeson-better-errors-
     doc, ghc-bitarray-doc, ghc-js-jquery-doc, ghc-EdisonCore-doc, ghc-
     filepattern-doc, ghc-compiler, ghc-time-manager-doc, ghc-EdisonAPI-
     doc, ghc-lukko-doc, ghc-cborg-doc, ghc-http2-doc, ghc-geniplate-
     mirror-doc, ghc-cborg-json-doc, ghc-murmur-hash-doc, ghc-parsers-doc,
     ghc-dns-doc, ghc-serialise-doc, ghc-uri-encode-doc, ghc-HsYAML-doc,
     ghc-unicode-transforms-doc, ghc-js-flot-doc),
     /usr/share/doc/ghc/html/libraries(ghc-Agda-doc, ghc-aeson-better-
     errors-doc, ghc-bitarray-doc, ghc-js-jquery-doc, ghc-EdisonCore-doc,
     ghc-filepattern-doc, ghc-compiler, ghc-time-manager-doc, ghc-
     EdisonAPI-doc, ghc-lukko-doc, ghc-cborg-doc, ghc-http2-doc, ghc-
     geniplate-mirror-doc, ghc-cborg-json-doc, ghc-murmur-hash-doc, ghc-
     parsers-doc, ghc-dns-doc, ghc-serialise-doc, ghc-uri-encode-doc, ghc-
     HsYAML-doc, ghc-unicode-transforms-doc, ghc-js-flot-doc)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-HsOpenSSL-0.11.4.18-1.fc33.x86_64.rpm
          ghc-HsOpenSSL-devel-0.11.4.18-1.fc33.x86_64.rpm
          ghc-HsOpenSSL-0.11.4.18-1.fc33.src.rpm
ghc-HsOpenSSL.x86_64: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
ghc-HsOpenSSL.x86_64: W: spelling-error %description -l en_US tls -> ts, ls, tbs
ghc-HsOpenSSL.x86_64: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-HsOpenSSL.x86_64: W: spelling-error %description -l en_US haskell -> Haskell, seashell
ghc-HsOpenSSL.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/libHSHsOpenSSL-0.11.4.18-CQM1NBfwFex7rGp0Vi5IX2-ghc8.6.5.so SSL_CTX_set_cipher_list
ghc-HsOpenSSL.x86_64: W: no-documentation
ghc-HsOpenSSL.src: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
ghc-HsOpenSSL.src: W: spelling-error %description -l en_US tls -> ts, ls, tbs
ghc-HsOpenSSL.src: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-HsOpenSSL.src: W: spelling-error %description -l en_US haskell -> Haskell, seashell
3 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 2 Jens Petersen 2020-07-05 03:05:11 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/26827

Comment 3 Igor Raits 2020-07-06 17:32:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-HsOpenSSL

Comment 4 Jens Petersen 2020-07-07 02:03:50 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  - You've added:
> # DSA test failing for Fedora
> # https://github.com/vshabanov/HsOpenSSL/issues/49
> %bcond_with tests
> but you're not using it in the %check part of the SPEC. The test seems to
> work.

Just to comment on this: so actually %cabal_test only runs the testsuite if the bcond is turned on.
(Maybe I could revert to making the condition explicit in specs to make that more obvious, hm.)

I am not sure why the DSA test only seems to fail on Fedora: maybe some patch we apply to openssl?

Comment 5 Fedora Update System 2020-11-13 05:17:07 UTC
FEDORA-2020-ed6f5ca90f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed6f5ca90f

Comment 6 Fedora Update System 2020-11-14 02:04:59 UTC
FEDORA-2020-ed6f5ca90f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ed6f5ca90f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed6f5ca90f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-22 01:21:06 UTC
FEDORA-2020-ed6f5ca90f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.